# Migrating encrypted Workloads

## **Same cloud - different owner** <a href="#same-cloud-different-domain" id="same-cloud-different-domain"></a>

Migration within the same cloud to a different owner\
Cloud A — Domain A — Project A — User A => Cloud A — Domain A — Project A — User B\
Cloud A — Domain A — Project A — User A => Cloud A — Domain A — Project B — User B\
Cloud A — Domain A — Project A — User A =>Cloud A — Domain B — Project B — User B

**Steps used:**

1. Create a secret for Project A in Domain A via User A.
2. Create encrypted workload in Project A in Domain A via User A. Take snapshot.
3. Reassign workload to new owner
4. Load rc file of User A & provide read only rights through acl to the new owner

   `openstack acl user add --user <userB_id> <secret_href> --insecure`

### **Different cloud** <a href="#different-cloud-different-domain" id="different-cloud-different-domain"></a>

Migration between clouds\
Cloud A — Domain A — Project A — User A => Cloud B — Domain B — Project B — User B

**Steps used:**

1. Create a secret for Project A in Domain A via User A.
2. Create an encrypted workload in Project A in Domain A via User A. Trigger snapshot.
3. Reassign workload to Cloud B - Domain B — Project B — User B
4. Load RC file of User B.
5. Create a secret for Project B in Domain B via User B with the same payload used in Cloud A.
6. Create token via “openstack token issue --insecure”
7. Add migrated workload's metadata to the new secret (provide issued token to Auth-Token & workload id to matadata as below)

```
curl -i -X PUT \
   -H "X-Auth-Token:gAAAAABh0ttjiKRPpVNPBjRjZywzsgVton2HbMHUFrbTXDhVL1w2zCHF61erouo4ZUjGyHVoIQMG-NyGLdR7nexmgOmG7ed66LJ3IMVul1LC6CPzqmIaEIM48H0kc-BGvhV0pvX8VMZiozgFdiFnqYHPDvnLRdh7cK6_X5dw4FHx_XPmkhx7PsQ" \
   -H "Content-Type:application/json" \
   -d \
'{
  "metadata": {
      "workload_id": "c13243a3-74c8-4f23-b3ac-771460d76130",
      "workload_name": "workload-c13243a3-74c8-4f23-b3ac-771460d76130"
    }
}' \
 'https://kolla-victoria-ubuntu20-1.triliodata.demo:9311/v1/secrets/f3b2fce0-3c7b-4728-b178-7eb8b8ebc966/metadata'
 
 
curl -i -X GET \
   -H "X-Auth-Token:gAAAAABh0ttjiKRPpVNPBjRjZywzsgVton2HbMHUFrbTXDhVL1w2zCHF61erouo4ZUjGyHVoIQMG-NyGLdR7nexmgOmG7ed66LJ3IMVul1LC6CPzqmIaEIM48H0kc-BGvhV0pvX8VMZiozgFdiFnqYHPDvnLRdh7cK6_X5dw4FHx_XPmkhx7PsQ" \
 'https://kolla-victoria-ubuntu20-1.triliodata.demo:9311/v1/secrets/f3b2fce0-3c7b-4728-b178-7eb8b8ebc966/metadata'
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.trilio.io/openstack/t4o-5.x/admin-guide/migrating-encrypted-workloads.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
